Get a complete list of all contact events to/by a contact.
Required permissions: View Contacts and transactions
get
Path parameters
referenceIDstring · uuidRequired
Query parameters
sincestring · date-timeOptional
showAllbooleanOptional
apiTokenstringRequired
API authentication token
Responses
200
OK
application/json
referenceIDstringOptional
400
Missing Parameter Value
application/json
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
get/database/contacts/{referenceID}/history
GET /database/contacts/{referenceID}/history?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
"referenceID": "text",
"services": [
{
"serviceUsageID": "text",
"serviceID": "text",
"referenceID": "text",
"applicationID": "text",
"createDate": "2026-01-01T00:00:00.000Z",
"customValues": [
{
"name": "text",
"value": "text"
}
]
}
],
"serviceData": [
{
"serviceUsageDataID": "text",
"serviceUsageID": "text",
"instanceID": "text",
"createDate": "2026-01-01T00:00:00.000Z",
"actionDate": "2026-01-01T00:00:00.000Z",
"actionName": "text",
"source": "text",
"customValues": [
{
"name": "text",
"value": "text"
}
]
}
]
}PreviousGet a rendered copy of an recieved email.
NextDownload a file from a Contacts File Upload Field.
Last updated
Was this helpful?

